# `.toPromise()`

Begin executing a Waterline [query instance](https://sailsjs.com/documentation/reference/waterline-orm/queries) and return a promise.

```usage
.toPromise();
```

> This is an alternative to `.exec()`.


### Notes

> + For more information, see the [bluebird `Promise.promisify()` API docs](http://bluebirdjs.com/docs/api/promise.promisify.html).

<docmeta name="displayName" value=".toPromise()">
<docmeta name="pageType" value="method">
